Subject: bug#35385: 27.0.50; Make dired-dwim-target aware of other frames

From: martin rudalics <[email-masked]>
Date: Thu, 19 Sep 2019 10:18:45 +0200

> BTW, while looking at windows walking functions, I noticed
 > an opportunity for simplification.
 >
 > Martin, could you please confirm if I'm not mistaken with this patch:

Removing the

     (when (framep all-frames)
       (select-window (frame-first-window all-frames) 'norecord))

LGTM.  Whether we should remove the

   (save-selected-window

envelope is another question.  If FUN changes the selected window,
we'd now have a side effect we didn't have so far.

Personally, I would always try to use 'walk-window-tree' instead of
'walk-windows' reserving the latter for operations that are allowed to
create or delete windows.

martin